%test simple scene objects
%$Id: sceneobjecttest.gml,v 1.2 2000/08/28 11:36:18 konrad Exp $

""println
{"NI! I'm a sphere's color closure" print println} sphere /thesphere
{"NI! I'm a cube's color closure" print println } cube /thecube
{"NI! I'm a cylinder's color closure" print println } cylinder /thecylinder
{"NI! I'm a plane's color closure" print println } plane /theplane
{"NI! I'm a cone's color closure" print println} cone /thecone

"Nudging scene objects (nudge, nudge -- knowwhatImean)" println
thesphere "-- that was a sphere" nudge
thecube "-- that was a cube" nudge
thecylinder "-- that was a cylinder" nudge
theplane "-- that was a plane" nudge
thecone "-- that was a cone" nudge

"" println
"Doing transforms..." println
"- rotatex sphere... " print
  thesphere 33.0 rotatex "-- the rotated sphere" nudge
"- rotatey sphere... " print
  thesphere 33.0 rotatey "-- the rotated sphere" nudge
"- rotatez sphere... " print
  thesphere 33.0 rotatez "-- the rotated sphere" nudge
"- uscale&translate cube... " print
  thecube 2.0 uscale 1.5 2.0 -1.0 translate "-- the transformed cube" nudge
"- scale&translate cube... " print
  thecube 2.0 0.3 0.3 scale 
          1.5 2.0 -1.0 translate 
          "-- the transformed cube" nudge

"" println
"Light sources..." println
"creating simple light and nudging it" println
  9.8 7.6 5.4 point
  3.2 1.0 0.1 point
  light /light1
light1 turnon
"creating point light and nudging it" println
  9.8 7.6 5.4 point
  3.2 1.0 0.1 point
  pointlight /light2
light2 turnon

"" println
"CSG..." println
"union of thesphere and thecube " print 
  thesphere thecube union "union?" nudge
"difference of thesphere and thecube " print 
  thesphere thecube difference "difference?" nudge
"intersect of thesphere and thecube " print 
  thesphere thecube intersect "intersect?" nudge
